Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class AbstractSAMLToken

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken

All Implemented Interfaces:
  Credential, ExtendedCredential, SAMLToken

Direct Known Subclasses:
  SAMLHolderOfKeyToken, SAMLSenderVouchesCredential

    public abstract class AbstractSAMLToken

extends AbstractExtendedCredential
implements SAMLToken

Abstract class

Constructor Summary
`AbstractSAMLToken(Element assertion, Credential credential)`

Method Summary
`void` | `checkValidity()`
`Element` | `getAssertion()` Gets the assertion.
`String` | `getAssertionID()`
`X509Certificate` | `getCertificate()` Gets the certificate.
`Certificate[]` | `getCertificateChain()` Gets the certificate chain
`String` | `getIssuer()` Gets the issuer.
`String` | `getIssuerQualifier()` Gets the issuer qualifier.
`KeyStore` | `getKeyStore()` Gets the associated `KeyStore`
`PrivateKey` | `getPrivateKey()` Gets the private key.
`String` | `getProviderName()` Gets the keystore provider
`PublicKey` | `getPublicKey()` Gets the public key.

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential
`getCertPath, getExpirationDateTime`

Constructor Detail

### AbstractSAMLToken

    public AbstractSAMLToken(Element assertion,
                             Credential credential)

Method Detail

### getIssuer

    public String getIssuer()
                     throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the issuer.

  Specified by:
    `getIssuer` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getIssuerQualifier

    public String getIssuerQualifier()
                              throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the issuer qualifier.

  Specified by:
    `getIssuerQualifier` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getPublicKey

    public PublicKey getPublicKey()
                           throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the public key.

  Specified by:
    `getPublicKey` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getPrivateKey

    public PrivateKey getPrivateKey()
                             throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the private key.

  Specified by:
    `getPrivateKey` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getCertificate

    public X509Certificate getCertificate()
                                   throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the certificate.

  Specified by:
    `getCertificate` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getAssertion

    public Element getAssertion()

  Description copied from interface: `SAMLToken`
  Gets the assertion.

  Specified by:
    `getAssertion` in interface `SAMLToken`
  Returns:
    the assertion

### getProviderName

    public String getProviderName()

  Description copied from interface: `Credential`
  Gets the keystore provider

  Specified by:
    `getProviderName` in interface `Credential`

### getCertificateChain

    public Certificate[] getCertificateChain()
                                      throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the certificate chain

  Specified by:
    `getCertificateChain` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getKeyStore

    public KeyStore getKeyStore()
                         throws TechnicalConnectorException

  Description copied from interface: `Credential`
  Gets the associated `KeyStore`

  Specified by:
    `getKeyStore` in interface `Credential`
  Throws:
    `TechnicalConnectorException`

### getAssertionID

    public String getAssertionID()

  Specified by:
    `getAssertionID` in interface `SAMLToken`

### checkValidity

    public void checkValidity()
                       throws TechnicalConnectorException

  Specified by:
    `checkValidity` in interface `SAMLToken`
  Throws:
    `TechnicalConnectorException`
  See Also:
    `SAMLToken.checkValidity()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.